Bug 92844 - [PATCH] devel/dbus: minor fixes
Summary: [PATCH] devel/dbus: minor fixes
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-gnome mailing list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-02-05 15:30 UTC by Yen-Ming Lee
Modified: 2006-02-15 00:00 UTC (History)
1 user (show)

See Also:


Attachments
dbus-0.60_1.patch (881 bytes, patch)
2006-02-05 15:30 UTC, Yen-Ming Lee
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Yen-Ming Lee freebsd_committer 2006-02-05 15:30:03 UTC
- fix plist (without --localstatedir=/var, it will create /usr/local/var/run)
- minor fixes to make portlint happier

Port maintainer (gnome@FreeBSD.org) is cc'd.

Generated with FreeBSD Port Tools 0.63
Comment 1 Edwin Groothuis freebsd_committer 2006-02-05 15:32:13 UTC
Responsible Changed
From-To: freebsd-ports-bugs->gnome

Over to maintainer
Comment 2 Joe Marcus Clarke freebsd_committer 2006-02-14 17:51:21 UTC
State Changed
From-To: open->closed

Committed, thanks!
Comment 3 Pascal G. Hofstee 2006-02-14 23:50:27 UTC
This commit actually breaks the dbus port.

By setting localstatedir to /var .. the port is trying to "mkdir
/var/run/dbus"  for its localstatedir during the install phase. However
/var/run/dbus is at the same time used as the name for the dbus-socket.

This is an obvious naming conflict that breaks a portupgrade (when the
dbus-socket already exists), or if the socket does not exist during
installation, causes dbus to be unable to start because the new
/var/run/dbus/ localstatedir triggers dbus launch to think it's already
running because its "socket" already exists.

The proper solution is likely to resolve this path-conflict by either
renaming the dbus-socket .. or putting it Inside the new localstatedir.

--
  Pascal Hofstee